/*                                                              -*- C -*-
 * extraconf.h      -- Extra pre-processor definitions
 *
 * Copyright ? 2000-2020 Erick Gallesio - I3S-CNRS/ESSI <eg@unice.fr>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 *
 *           Author: Erick Gallesio [eg@unice.fr]
 *    Creation date: 19-May-2000 18:44 (eg)
 */

#define PREFIXDIR               "/usr"
#define SCMDIR                  "/usr/share/stklos/2.10"
#define DEFAULT_BOOT_FILE       "/usr/share/stklos/2.10/boot.img"
#define EXECDIR                 "/usr/lib64/stklos/2.10"
#define BUILD_OS                "Linux-5.15.29-calculate"
#define BUILD_ARCH              "x86_64"
#define BUILD_MACHINE           "Linux-5.15.29-calculate-x86_64"
#define LINUX               1
#define LINUX_5_15       1
#define STACK_GROWS_UP
#define PCRE_PKG_CONFIG         "@PCREPKG@"

/* SRFI-176 stuff */
#define CONF_SUMMARY            "( #:system (libffi libpcre2 libgmp libgc ) #:compiled () #:configure ( \"--prefix=/usr\" \"--build=x86_64-pc-linux-gnu\" \"--host=x86_64-pc-linux-gnu\" \"--mandir=/usr/share/man\" \"--infodir=/usr/share/info\" \"--datadir=/usr/share\" \"--sysconfdir=/etc\" \"--localstatedir=/var/lib\" \"--datarootdir=/usr/share\" \"--disable-dependency-tracking\" \"--disable-silent-rules\" \"--docdir=/usr/share/doc/stklos-2.10\" \"--htmldir=/usr/share/doc/stklos-2.10/html\" \"--datadir=/usr/share/stklos/2.10\" \"--libdir=/usr/lib64/stklos/2.10\" \"--enable-threads=pthreads\" \"--without-provided-bignum\" \"--without-provided-ffi\" \"--without-provided-gc\" \"--without-provided-regexp\" \"CC=x86_64-pc-linux-gnu-gcc\" \"CFLAGS=-O2 -march=x86-64 -pipe\" \"LDFLAGS=-Wl,--as-needed\" \"CPPFLAGS=\") #:dirs ( #:libdir \"/usr/lib64/stklos/2.10\" #:datadir \"/usr/share/stklos/2.10\" #:docdir \"/usr/share/doc/stklos-2.10\" #:htmldir \"/usr/share/doc/stklos-2.10/html\" #:pdfdir \"/usr/share/doc/stklos-2.10/pdf\"))"
#define C_VERSION               "x86_64-pc-linux-gnu-gcc (Gentoo 14.2.1_p20241221 p7) 14.2.1 20241221"
#define C_COMPILE               "(\"x86_64-pc-linux-gnu-gcc\" \"-O2\" \"-march=x86-64\" \"-pipe\" \"-rdynamic\" )"
#define C_LINK                  "(\"x86_64-pc-linux-gnu-gcc\" \"-lgmp\" \"-lpcre2-8\" \"-lpcre2-posix\" \"-lffi\" \"-latomic_ops\" \"-lgc\" \"-lpthread\" \"-ldl\" \"-lm\" )"

#define SHARED_LIB_COMPILE      "(\"x86_64-pc-linux-gnu-gcc\" \"-fpic\" \"-nostdlib\" \"-I/usr/include/stklos\" \"-I/usr/include/stklos/gc\" )"
#define SHARED_LIB_LINK         "(\"x86_64-pc-linux-gnu-gcc\" \"-shared\" )"
#define SHARED_LIB_SUFFIX       "so"
#define SHARED_SUFFIX           "so"
#define SHARED_EXTENSION        ".so"

/* Full STklos (that is with commit number */
#define FULL_VERSION            "2.10"
#define VERSION_STATUS          "stable"  /* stable or unstable */


/* Various stuff */
#define unix 1
#define GNU_Linux    1           /* result of uname -o */
#define CONTROL_FX_PARAMETERS   1

